Skip to main content
DELETE
Stop a deployment

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Path Parameters

deploymentId
string<uuid>
required

Response

OK

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
modelId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
kind
enum<string>
required
Available options:
serverless,
dedicated
backend
string
required
state
enum<string>
required
Available options:
pending,
provisioning,
ready,
failed,
deleting,
deleted
servingModel
string | null
required

The model id to send once ready.

hourlyRateUsd
string | null
required
error
string | null
required
createdAt
string
required